> ## Documentation Index
> Fetch the complete documentation index at: https://developers.zerion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find wallets within subscription

> This endpoint by subscription ID returns wallets within specific subscription.

> NOTE: Consider all IDs as abstract strings, without making any assumptions about their format or relying on such assumptions. There is a non-zero probability that IDs may change in the future, and this should not result in any breaking changes.




## OpenAPI

````yaml /openapi-v1.yaml get /v1/tx-subscriptions/{subscription_id}/wallets
openapi: 3.0.3
info:
  version: 1.0.0
  title: REST API
  description: REST-like API provides access to rich Zerion ecosystem.
  contact:
    name: Zerion API
    url: https://developers.zerion.io/
    email: api@zerion.io
servers:
  - description: Production API
    url: https://api.zerion.io
security:
  - APIKeyBasicAuth: []
tags:
  - name: wallets
    description: >-
      Operations related to wallets, such as portfolio charts, positions, and
      transactions.
  - name: wallet sets
    description: >-
      Operations on a wallet set — aggregated portfolio data across at most one
      EVM address and one Solana address queried together.
  - name: fungibles
    description: >-
      Operations related to fungible assets, such as list them all, search or
      get by ID.
  - name: chains
    description: Operations related to chains, such as list all chains.
  - name: swap
    description: Operations related to swapping and bridging assets.
  - name: gas
    description: Operations related to gas.
  - name: nfts
    description: >-
      Operations related to non fungible assets, such list them, search or get
      by ID.
  - name: dapps
    description: >-
      Operations related to decentralized applications, such as list them all,
      search or get by ID.
  - name: subscriptions to transactions
    description: Operations related to subscriptions to transactions.
paths:
  /v1/tx-subscriptions/{subscription_id}/wallets:
    get:
      tags:
        - subscriptions to transactions
      summary: Find wallets within subscription
      description: >
        This endpoint by subscription ID returns wallets within specific
        subscription.


        > NOTE: Consider all IDs as abstract strings, without making any
        assumptions about their format or relying on such assumptions. There is
        a non-zero probability that IDs may change in the future, and this
        should not result in any breaking changes.
      operationId: GetSubscribedWalletsInSubscription
      parameters:
        - $ref: '#/components/parameters/SubscriptionWalletsPage'
        - name: subscription_id
          in: path
          required: true
          description: ID of the subscription
          schema:
            type: string
            example: 77e77447-1586-40e8-a75b-467ef939a0b1
      responses:
        '200':
          $ref: '#/components/responses/SubscriptionWalletsResponse'
        '400':
          $ref: '#/components/responses/MalformedParameters'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    SubscriptionWalletsPage:
      name: page
      in: query
      required: false
      description: Pagination parameters
      style: deepObject
      explode: true
      schema:
        type: object
        properties:
          after:
            type: string
            nullable: true
            minLength: 1
            maxLength: 64
            description: >
              This field is used for result pagination. You SHOULD NOT use this
              parameter directly.

              To get the next page of the results you should use `links.next`
              field.

              Omit it to return the first page.
          size:
            type: integer
            format: int32
            description: Set maximum number of items per a page in the pagination.
            default: 100
            minimum: 1
            maximum: 2000
  responses:
    SubscriptionWalletsResponse:
      description: Response for wallets within subscription
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Response-23'
    MalformedParameters:
      description: Parameters are malformed
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Parameter is malformed
                    detail:
                      type: string
                      description: Long description of the error
                      example: Some validation errors will be described here
    UnauthenticatedError:
      description: Unathenticated request
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Unauthorized Error
                    detail:
                      type: string
                      description: Long description of the error
                      example: >-
                        The API key is invalid, please, make sure that you are
                        using a valid key
    TooManyRequests:
      description: Too many requests error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Too many requests
                    detail:
                      type: string
                      description: Long description of the error
                      example: Your request had been throttled
  schemas:
    Response-23:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/ResponseLinks-20'
        data:
          $ref: '#/components/schemas/Container-19'
    ResponseLinks-20:
      type: object
      required:
        - self
      properties:
        self:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/77e77447-1586-40e8-a75b-467ef939a0b1/wallets?page%5Bsize%5D=10
        next:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/77e77447-1586-40e8-a75b-467ef939a0b1/wallets?page%5Bsize%5D=10&page%5Bafter%5D=MjAyNS0xMC0wMVQxMjowNzo1NlosNjhkZDE5OWMyMDFlODI3ODQzZmZkN2Jl
    Container-19:
      type: object
      required:
        - type
        - id
        - attributes
        - relationships
      properties:
        type:
          type: string
          example: transactions_subscription_wallets
        id:
          type: string
          description: Unique ID
          example: 52d994a173d755e99845e861d534a419-wallets
        attributes:
          $ref: '#/components/schemas/Attributes-17'
        relationships:
          $ref: '#/components/schemas/Relationships-11'
    Attributes-17:
      type: object
      required:
        - addresses
      properties:
        addresses:
          type: array
          description: Addresses of the wallets within subscription
          items:
            type: string
            example: '0x42b9df65b219b3dd36ff330a4dd8f327a6ada990'
    Relationships-11:
      type: object
      properties:
        subscription:
          $ref: '#/components/schemas/PaginatedRelationship'
    PaginatedRelationship:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/PaginatedRelationshipLinks'
        data:
          $ref: '#/components/schemas/RelationshipContainer'
    PaginatedRelationshipLinks:
      type: object
      required:
        - related
      properties:
        self:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/8bf9db31-eb59-4fa9-973c-34e3428acf5d/wallets?page%5Bsize%5D=10
        next:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/8bf9db31-eb59-4fa9-973c-34e3428acf5d/wallets?page%5Bsize%5D=10&page%5Bafter%5D=MjAyNS0xMC0wMVQxMjowNzo1NlosNjhkZDE5OWMyMDFlODI3ODQzZmZkN2Jl
        related:
          type: string
          format: url
          description: URL to the current subscription
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/8bf9db31-eb59-4fa9-973c-34e3428acf5d
    RelationshipContainer:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          description: Subscription resource type
          example: subscription
        id:
          type: string
          description: Subscription unique identifier
          example: 8bf9db31-eb59-4fa9-973c-34e3428acf5d
  securitySchemes:
    APIKeyBasicAuth:
      type: http
      scheme: basic
      description: >-
        To test endpoints here, paste your API key from the
        [dashboard](https://dashboard.zerion.io/) into the username field and
        leave the password empty.

````